Bug 499239 - debuginfo packages have no concept of obsoletes
debuginfo packages have no concept of obsoletes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 854935 854936
  Show dependency treegraph
 
Reported: 2009-05-05 14:06 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-05-05 14:06:20 EDT
Description of problem:

Say I rename package 'foo' to 'bar'. I have 'bar' Obsolete 'foo'.

bar-debuginfo does not obsolete foo-debuginfo; this means it won't
upgrade right.

Given that debuginfo packages are automatically generated once per source rpm, and source rpms don't have obsoletes, I'm not sure how you'd solve this cleanly.

Version-Release number of selected component (if applicable):

rpm-4.7.0-1.fc11.x86_64
Comment 1 seth vidal 2009-05-05 16:09:48 EDT
We could, theoretically, add this into the  debuginfo plugin to figure out - but I suspect it wouldn't be pretty at all.
Comment 2 Jeff Johnson 2009-05-06 13:02:49 EDT
The right way to solve the issue is a different upgrade
model for -debuginfo packages, not adding Obsoletes:
to -debuginfo.

Building a package with multiple sub-pkgs is a 1-to-N relation.

But creating -debuginfo package collapses all the symbols/sources
back into a single package, effectively a N-to-1 reduction.

While one can easily envision adding Obsoletes: in -debuginfo to handle name
changes, you will find that Obsoletes: are not persistent (i.e. packages will
creep back in after the Newer! Better! Bestest! Renamed! -debuginfo that
carries the Obsoletes: has been installed). You will also find that it will
be a huge PITA maintaining the Obsoletes: automagically in -debuginfo
packages. Surely you know what an octopus snarl carrying around a mess of Obsoletes:
in -debuginfo packages for renamed packages wiould instantly become.

The better upgrade  model for -debuginfo is to use RPMTAG_SOURCEPACKAGE (or better still
RPMTAG_SOURCEPKGID) as a set identifier, and automatically remove
any -debuginfo package that is no longer used (as in none of the N
subpackages are installed).

See the discussion in Jan Kratchovil's RFE for better handling of -debuginfo
packages.
Comment 3 Bug Zapper 2009-06-09 11:11:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:08:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:23:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.